javax.json.stream

## Interface JsonLocation

-     public interface JsonLocation

  Provides the location information of a JSON event in an input source. The `JsonLocation` information can be used to identify incorrect JSON or can be used by higher frameworks to know about the processing location.

  All the information provided by a `JsonLocation` is optional. For example, a provider may only report line numbers. Also, there may not be any location information for an input source. For example, if a `JsonParser` is created using `JsonArray` input source, all the methods in this class return -1.

  Author:
    Jitendra Kotamraju
  See Also:
    `JsonParser`, `JsonParsingException`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getColumnNumber()` Return the column number for the current JSON event in the input source.
    `long` | `getLineNumber()` Return the line number for the current JSON event in the input source.
    `long` | `getStreamOffset()` Return the stream offset into the input source this location is pointing to.

- - ### Method Detail

    - #### getLineNumber

          long getLineNumber()

      Return the line number for the current JSON event in the input source.
      Returns:
        the line number or -1 if none is available

    - #### getColumnNumber

          long getColumnNumber()

      Return the column number for the current JSON event in the input source.
      Returns:
        the column number or -1 if none is available

    - #### getStreamOffset

          long getStreamOffset()

      Return the stream offset into the input source this location is pointing to. If the input source is a file or a byte stream then this is the byte offset into that stream, but if the input source is a character media then the offset is the character offset. Returns -1 if there is no offset available.
      Returns:
        the offset of input source stream, or -1 if there is no offset available

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.